Subject: Re: [PATCH 1/2] IPV6: remove addresses and routes when carrier is lost

From: Patrick McHardy <[email-masked]>
Date: Tue, 03 Jun 2008 19:28:21 +0200

David Miller wrote:
> From: Stephen Hemminger <[email-masked]>
> Date: Tue, 3 Jun 2008 10:21:44 -0700
> 
>> The patch just makes carrier_off respond the same as doing 'ip link set dev eth0 down'
>> (or ifconfig eth0 down). A router needs to be able to re-route when link fails.
> 
> But I can't see how this behavior makes sense for the normal desktop case
> and it disagrees with existing practice for many years.
> 
> If I pull out my network cable while making some adjustments in my
> rack, and then plug it back in, I don't expect to lose my static
> routes on that interface.
> 
> That doesn't make any sense at all.

Maybe the logic to disable those routes should simply live in
the routing daemons or a seperate daemon.